commit:     25d12e76367e2493f07906e4cbfd86bf7faa14fc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 23 23:27:32 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 23 23:37:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25d12e76

dev-python/cliapp: Fix running tests

 dev-python/cliapp/cliapp-1.20170823.ebuild | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

diff --git a/dev-python/cliapp/cliapp-1.20170823.ebuild 
b/dev-python/cliapp/cliapp-1.20170823.ebuild
index 6ca847d60c1..bea4d92c06f 100644
--- a/dev-python/cliapp/cliapp-1.20170823.ebuild
+++ b/dev-python/cliapp/cliapp-1.20170823.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -14,10 +14,7 @@ 
SRC_URI="http://git.liw.fi/cgi-bin/cgit/cgit.cgi/cliapp/snapshot/${P}.tar.gz";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="test"
-
-# test deps not supporting python 3
-RESTRICT="test"
+IUSE=""
 
 MY_DEPEND="
        dev-python/pyyaml[${PYTHON_USEDEP}]
@@ -25,8 +22,6 @@ MY_DEPEND="
 
 DEPEND="${PYTHON_DEPS}
        ${MY_DEPEND}"
-#      test? ( >=dev-python/CoverageTestRunner-1.11 dev-python/pep8 )
-#      "
 
 RDEPEND="
        ${MY_DEPEND}
@@ -38,5 +33,5 @@ src_test() {
 }
 
 python_test() {
-       ${PYTHON} -m CoverageTestRunner --ignore-missing-from=without-tests || 
die
+       "${EPYTHON}" -m unittest discover -v -p '*_tests.py' || die
 }

Reply via email to